<?php

/**
*先初始化corpid 和 token，这两个值见https://dingtalk.xbongbong.com/apiSetting/detail.html查看，
*其中LOCAL_CORP_ID为公司标识，LOCAL_TOKEN为密钥请勿泄露。 
*/
$ROOT_URL = 'http://dingapi.xbongbong.com';
$LOCAL_CORP_ID = '';
$LOCAL_TOKEN = '';

/**
*post请求
*将签名参数sign(参数名为sign)放入http header中; 将访问接口所需的参数集data(参数名为data)放入http body. 
*/
function Post($url, $params,$token) {
    $sign = encrypt_params( $params, $token );
	 
	
    $requestBody = array (
        'data' => json_encode( $params ),
    );
    $context = array ();   
    if (is_array ( $requestBody )) {   
         ksort ( $requestBody );   
        $context ['http'] = array (   
            'timeout' => 60,    
            'method' => 'POST', 
            'header' => 'sign:' . $sign,
            'content' => http_build_query( $requestBody, '', '&' )   
         );   
    }   
	 
    ## print_r ($context);
    return file_get_contents ( $url, false, stream_context_create ( $context ) );   
}   

/**
签名函数 sha-256(params+token) ,params里如果有中文要用utf-8编码， 
*/
function encrypt_params($params, $token ) {
    $json = json_encode( $params );
	 
    return hash("sha256", $json . $token );
}

##创建请求参数data,请求客户列表[简要]接口  
$data = array (   
    'corpid' => $LOCAL_CORP_ID,   
    'page' => 1,   
    'pageSize' => 20,
);   

##请求的api 地址客户列表[简要]接口
$API_CUSTOMER_SIMPLE_LIST = '/api/v1/customer/simpleList.html';

##发起post请求
echo Post ($ROOT_URL . $API_CUSTOMER_SIMPLE_LIST, $data ,$LOCAL_TOKEN);  
?>